
package de.ivu.elect.presentation.gruppeimgebiet.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.AbstractMenuModelBuilder;
import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.wahlvorschlag.menu.WahlvorschlaegeNachGebietDokumentErzeugenMenuItemEntry;

@Named(ReferendumVorlageImGebietSearchMenu.COMPONENT_NAME)
public class ReferendumVorlageImGebietSearchMenu extends AbstractMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "referendumVorlageImGebietSearchMenu";

  @Inject
  private transient ReferendumVorlageImGebietCreateMenuItemEntry referendumVorlageImGebietCreateMenuItemEntry;

  @Inject
  private transient ReferendumVorlageImGebietWahlvorschlaegeAlsListeDokumentErzeugenMenuItemEntry referendumVorlageImGebietWahlvorschlaegeAlsListeDokumentErzeugenMenuItemEntry;

  @Inject
  private transient WahlvorschlaegeNachGebietDokumentErzeugenMenuItemEntry wahlvorschlaegeNachGebietDokumentErzeugenMenuItemEntry;

  public ReferendumVorlageImGebietSearchMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.add(referendumVorlageImGebietCreateMenuItemEntry);

    // ELECT-14367
    result.add(referendumVorlageImGebietWahlvorschlaegeAlsListeDokumentErzeugenMenuItemEntry);
    result.add(wahlvorschlaegeNachGebietDokumentErzeugenMenuItemEntry);

    return result;
  }
}
